/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <Elementary.h>
#include <dlog.h>
#include "log.h"

/*
 * Initialize the data component
 */
void data_initialize()
{
	/*
	 * If you need to initialize managing data,
	 * please use this function.
	 */
}

/*
 * Finalize the data component
 */
void data_finalize()
{
	/*
	 * If you need to finalize managing data,
	 * please use this function.
	 */
}

/*
 * Get text data
 */
char *data_get_text(const char *part)
{
	/*
	 * You can use this function to retrieve data.
	 */
	char *ret = NULL;

	if (!strcmp("widget.text", part)) {
		ret = strdup("World energy consumption is expected to grow 71 percent between 2003 and 2030, with emissions of gases approached global warming, increasing at a little faster rate.");
	} else if (!strcmp("widget.more", part)) {
		ret = strdup("+3");
	} else {
		dlog_print(DLOG_ERROR, LOG_TAG, "failed to get text.");
		return NULL;
	}

	return ret;
}
